Bug 247193 - livecd-creator does not free loopbacks on error
livecd-creator does not free loopbacks on error
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-05 17:14 EDT by Michael DeHaan
Modified: 2013-03-05 22:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-06 16:13:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael DeHaan 2007-07-05 17:14:38 EDT
Description of problem:

LiveCD tools do not free loopbacks on exceptions.

Version-Release number of selected component (if applicable):

latest F7

How reproducible:

always

Steps to Reproduce:
1.   Run liveCD creator with some bogus parameters to --repo, or some config
files that pykickstart will choke on
2.   Exceptions get raised
3.   Repeat until all loopbacks are taken
  
Actual results:

Loopbacks not freed

Expected results:

Loopbacks would be unmounted on errors.

Additional info:

N/A
Comment 1 Jeremy Katz 2007-07-05 17:18:08 EDT
What's the error that you were getting?  We catch at least some (and there are
some more caught in git that I've run into recently)
Comment 2 Michael DeHaan 2007-07-05 18:26:17 EDT
I don't have it in front of me right now, but it was from addRepository on an
invalid URL.  So, yum API exceptions, basically.  

I should pull upstream.  There's a copy of this in git at freedesktop.org -- I
was errantly using that yesterday -- but it didn't have "--config" so that seems
out of date.  Where is the git master?
Comment 3 Jeremy Katz 2007-07-06 16:13:44 EDT
Okay, tried this case and it's one of the ones I fixed on Monday.

Upstream repo is git://git.fedoraproject.org/git/hosted/livecd just like the
wiki page and the README say :)

Note You need to log in before you can comment on or make changes to this bug.